"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const BinWrapper = require("bin-wrapper");
const del = require("del");
function installHugo(version, destination) {
    return __awaiter(this, void 0, void 0, function* () {
        const destinationPath = path.resolve(process.cwd(), destination);
        const githubReleaseUrl = `https://github.com/gohugoio/hugo/releases/download/v${version}/`;
        yield del(path.join(destinationPath, '**'));
        yield new BinWrapper()
            .src(`${githubReleaseUrl}hugo_${version}_Windows-64bit.zip`, 'win32', 'x64')
            .src(`${githubReleaseUrl}hugo_${version}_Windows-32bit.zip`, 'win32', 'x86')
            .src(`${githubReleaseUrl}hugo_${version}_Linux-64bit.tar.gz`, 'linux', 'x64')
            .src(`${githubReleaseUrl}hugo_${version}_Linux-32bit.tar.gz`, 'linux', 'x86')
            .src(`${githubReleaseUrl}hugo_${version}_macOS-64bit.tar.gz`, 'darwin', 'x64')
            .src(`${githubReleaseUrl}hugo_${version}_macOS-32bit.tar.gz`, 'darwin', 'x86')
            .dest(destinationPath)
            .download();
    });
}
exports.installHugo = installHugo;
//# sourceMappingURL=index.js.map